org.apache.commons.jexl

## Class JexlHelper

- java.lang.Object
- - org.apache.commons.jexl.JexlHelper

    public class JexlHelper
    extends java.lang.Object

Helper to create a context. In the current implementation of JEXL, there is one implementation of JexlContext - `HashMapContext`, and there is no reason not to directly instantiate `HashMapContext` in your own application.

Since:
  1.0
Version:
  $Id: JexlHelper.java 480412 2006-11-29 05:11:23Z bayard $
Author:
  Geir Magnusson Jr.

### Field Summary

Fields
`protected static JexlHelper` `helper` singleton instance.

### Constructor Summary

Constructors
Constructor and Description
`JexlHelper()`

### Method Summary

Methods
`static JexlContext` `createContext()` Returns a new `JexlContext`.
`protected static JexlHelper` `getInstance()`
`protected JexlContext` `newContext()` Creates and returns a new `JexlContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### helper

    protected static JexlHelper helper

singleton instance.

### Constructor Detail

#### JexlHelper

    public JexlHelper()

### Method Detail

#### getInstance

    protected static JexlHelper getInstance()

Returns:
  the single instance.

#### createContext

    public static JexlContext createContext()

Returns a new `JexlContext`.

Returns:
  a new JexlContext

#### newContext

    protected JexlContext newContext()

Creates and returns a new `JexlContext`. The current implementation creates a new instance of `HashMapContext`.

Returns:
  a new JexlContext